LibreOffice LibreOffice 25.2 SDK API Reference

Public Member Functions | List of all members
XDiagramPositioning Interface Reference

allow for different positioning options for a diagram More...

`import"XDiagramPositioning.idl";`

Inheritance diagram for XDiagramPositioning:

## Public Member Functions
void | setAutomaticDiagramPositioning ()
| the diagram will be placed automatically More...
boolean | isAutomaticDiagramPositioning ()
void | setDiagramPositionExcludingAxes ([in] com::sun::star::awt::Rectangle PositionRect)
| place the inner diagram part excluding any axes, labels and titles More...
boolean | isExcludingDiagramPositioning ()
com::sun::star::awt::Rectangle | calculateDiagramPositionExcludingAxes ()
void | setDiagramPositionIncludingAxes ([in] com::sun::star::awt::Rectangle PositionRect)
| place the outer diagram part including the axes and axes labels, but excluding the axes titles. More...
com::sun::star::awt::Rectangle | calculateDiagramPositionIncludingAxes ()
void | setDiagramPositionIncludingAxesAndAxisTitles ([in] com::sun::star::awt::Rectangle PositionRect)
| place the diagram including the axes, axes labels and axes titles. More...
com::sun::star::awt::Rectangle | calculateDiagramPositionIncludingAxesAndAxisTitles ()
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

allow for different positioning options for a diagram

See also
  Diagram

## Member Function Documentation

## ◆ calculateDiagramPositionExcludingAxes()

com::sun::star::awt::Rectangle calculateDiagramPositionExcludingAxes | ( |  | ) |

Returns
  the position rectangle of the inner diagram part excluding any axes, labels and titles. Position and size are given in 100/th mm. It might be necessary to calculate the positioning so this method can be expensive and the result may depend on different other settings.

## ◆ calculateDiagramPositionIncludingAxes()

com::sun::star::awt::Rectangle calculateDiagramPositionIncludingAxes | ( |  | ) |

Returns
  the position rectangle of the diagram including the axes and axes labels, but excluding the axes titles. Position and size are given in 100/th mm. It might be necessary to calculate the positioning so this method can be expensive and the result may depend on different other settings.

## ◆ calculateDiagramPositionIncludingAxesAndAxisTitles()

com::sun::star::awt::Rectangle calculateDiagramPositionIncludingAxesAndAxisTitles | ( |  | ) |

Returns
  the position rectangle of the diagram including the axes, axes labels and axes titles. Position and size are given in 100/th mm. It might be necessary to calculate the positioning so this method can be expensive and the result may depend on different other settings.

## ◆ isAutomaticDiagramPositioning()

boolean isAutomaticDiagramPositioning | ( |  | ) |

Returns
  whether the diagram is placed automatically

## ◆ isExcludingDiagramPositioning()

boolean isExcludingDiagramPositioning | ( |  | ) |

Returns
  true in case the diagram position was set with method setDiagramPositionExcludingAxes

## ◆ setAutomaticDiagramPositioning()

void setAutomaticDiagramPositioning | ( |  | ) |

the diagram will be placed automatically

## ◆ setDiagramPositionExcludingAxes()

void setDiagramPositionExcludingAxes | ( | [in] com::sun::star::awt::Rectangle | PositionRect | ) |

place the inner diagram part excluding any axes, labels and titles

Parameters

  PositionRect | specifies the position and size in 100/th mm

## ◆ setDiagramPositionIncludingAxes()

void setDiagramPositionIncludingAxes | ( | [in] com::sun::star::awt::Rectangle | PositionRect | ) |

place the outer diagram part including the axes and axes labels, but excluding the axes titles.

Parameters

  PositionRect | specifies the position and size in 100/th mm

## ◆ setDiagramPositionIncludingAxesAndAxisTitles()

void setDiagramPositionIncludingAxesAndAxisTitles | ( | [in] com::sun::star::awt::Rectangle | PositionRect | ) |

place the diagram including the axes, axes labels and axes titles.

For the placement the current axis titles are taken into account, so the titles must be initialized properly before this method is called.

Parameters

  PositionRect | specifies the position and size in 100/th mm

The documentation for this interface was generated from the following file:

- com/sun/star/chart/XDiagramPositioning.idl